Debian Bug report logs - #381181
fails to create initramfs with /dev/md/X version-0 arrays and /dev/mdX nodes present

version graph

Package: mdadm; Maintainer for mdadm is Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>; Source for mdadm is src:mdadm.

Reported by: martin f krafft <madduck@debian.org>

Date: Wed, 2 Aug 2006 18:48:33 UTC

Severity: important

Found in version mdadm/2.5.2-9

Fixed in version mdadm/2.5.2-10

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Forwarded to neilb@suse.de

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#381181; Package mdadm. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fails to create initramfs with /dev/md/X version-0 arrays and /dev/mdX nodes present
Date: Wed, 2 Aug 2006 18:36:57 +0100
[Message part 1 (text/plain, inline)]
Package: mdadm
Version: 2.5.2-9
Severity: important

If the system uses /dev/md/X names with version-0 superblocks and
/dev/mdX nodes exist, the initramfs hook fails as it compares
devices according to /proc/mounts with the output of mdadm -E. The
former will have /dev/md/X, the latter will print /dev/mdX, so no
match and no RAID stuff installed to the initramfs.

-- System Information:
Debian Release: testing/unstable
  APT prefers stable
  APT policy: (700, 'stable'), (600, 'testing'), (98, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17-1-686
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

-- 
Please do not send copies of list mail to me; I read the list!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to martin f krafft <madduck@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 381181-forwarded@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: neilb@suse.de
Cc: 381181-forwarded@bugs.debian.org
Subject: Fwd: Bug#381181: fails to create initramfs with /dev/md/X version-0 arrays and /dev/mdX nodes present
Date: Wed, 2 Aug 2006 20:08:41 +0100
[Message part 1 (text/plain, inline)]
Neil, this is a serious issues I guess, affecting those with
/dev/md/X nodes on Debian. Right now I have a workaround in place
that will forcefully ignore /dev/mdX if /dev/md/X is also present
and appears to be used. However, something tells me we really have
to do something more predictable about device names:

----- Forwarded message from martin f krafft <madduck@debian.org> -----

If the system uses /dev/md/X names with version-0 superblocks and
/dev/mdX nodes exist, the initramfs hook fails as it compares
devices according to /proc/mounts with the output of mdadm -E. The
former will have /dev/md/X, the latter will print /dev/mdX, so no
match and no RAID stuff installed to the initramfs.

----- End forwarded message -----

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
"we all know linux is great...
 it does infinite loops in 5 seconds."
                                                     -- linus torvalds
[signature.asc (application/pgp-signature, inline)]

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 381181-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 381181-close@bugs.debian.org
Subject: Bug#381181: fixed in mdadm 2.5.2-10
Date: Thu, 03 Aug 2006 16:47:15 -0700
Source: mdadm
Source-Version: 2.5.2-10

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_2.5.2-10_i386.udeb
  to pool/main/m/mdadm/mdadm-udeb_2.5.2-10_i386.udeb
mdadm_2.5.2-10.diff.gz
  to pool/main/m/mdadm/mdadm_2.5.2-10.diff.gz
mdadm_2.5.2-10.dsc
  to pool/main/m/mdadm/mdadm_2.5.2-10.dsc
mdadm_2.5.2-10_i386.deb
  to pool/main/m/mdadm/mdadm_2.5.2-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 381181@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  3 Aug 2006 22:54:04 +0100
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source i386
Version: 2.5.2-10
Distribution: unstable
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD device arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD device arrays (software RAID) (udeb)
Closes: 380746 381007 381181 381284
Changes: 
 mdadm (2.5.2-10) unstable; urgency=low
 .
   * Applied patch by upstream to fix the logic of the --run switch (see
     #287415). Thus also reverted the mdadm-raid hack used to fix the bug in
     the 2.5.2-9 upload.
   * Recognise devfs-style device nodes by fixing a regression bug in the root
     RAID autodetection code (closes: #381007), which was introduced as part of
     the fix for #380596 in the 2.5.2-9 upload. The bug is RC, but it only
     applies to unstable right now, so I am not pumping up the urgency.
     The autodetection code now doesn't care about the actual name of the array
     device, but instead only insists that it exists, is a block device, and
     recognised as an array by mdadm (mdadm --detail).
   * Added safety net to prevent endless loops in RAID autodetection. Now just
     falls back to starting all arrays from the initramfs if it fails to
     determine an acceptable array for the / filesystem in three tries
     (closes: #381284, also see #381007).
   * Added udev rules file to prevent udev from ever creating md device nodes,
     which can get in the way of mdadm (also see next item).
   * Added a workaround to the initramfs hook to deal with the problem with
     /dev/md/X device nodes when /dev/mdX is also present and version-0
     superblocks are in use (closes: #381181).
   * checkarray: correctly recognise when the kernel is too old for parity
     checks, or when there are no redundant arrays present (closes: #380746).
   * checkarray: now supports -s|--status switch to query parity check status
     for given devices.
   * checkarray: now supports -x|--cancel switch to cancel running checks.
   * mkconf: now also outputs 'MAILADDR root' and 'HOMEHOST <system>'.
   * Added README.checkarray with some information about the check process.
   * Added /usr/share/doc/mdadm/FAQ to answer some FAQs.
Files: 
 eb2415dfb6b1939ecdc9b21782c19102 714 admin optional mdadm_2.5.2-10.dsc
 beb4c07cbbf49c0b29b61b9660063c77 76141 admin optional mdadm_2.5.2-10.diff.gz
 dd09ec21e0266c935a515f786a5dfb17 189142 admin optional mdadm_2.5.2-10_i386.deb
 00249821a15a54e5feb248655875732a 67640 debian-installer optional mdadm-udeb_2.5.2-10_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFE0omFIgvIgzMMSnURAnkxAKCQOvV9MYtaiUZgVLOVcmY67XfLKQCgla4u
/ISY+03Rrz/pcuGB/ciSX1Y=
=c/K1
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#381181; Package mdadm. Full text and rfc822 format available.

Acknowledgement sent to John Gruenenfelder <johng@as.arizona.edu>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #18 received at 381181@bugs.debian.org (full text, mbox):

From: John Gruenenfelder <johng@as.arizona.edu>
To: 381181@bugs.debian.org
Subject: mdadm fix affects root-on-LVM-on-RAID
Date: Sun, 20 Aug 2006 21:13:22 -0700
Hello,

I set my system up some time ago to use root on LVM on RAID.  Not just root,
actually, but all filesystems are on LVM on RAID with the exception of /boot
which is just on RAID.

With the latest update to mdadm, my system could no longer boot properly.
Before I found this bug report, I managed to trace the problem on my own.

Now that udev no longer creates the /dev/md* devices, the lvm startup script
cannot find my volume groups.  Without those I am missing most of my
filesystems and cannot boot.

As a quick fix, I can boot into single user mode, create /dev/md0 and /dev/md3
(the two which I need), run /etc/init.d/lvm, and then mount my filesystems.
At that point I can continue the normal boot process.

Now, I roll my own kernel via make-kpkg and the initrd I created on my own to
get this setup working, so perhaps there is some Debian specific way of
handling this that I am not doing correctly.

So... what is the best fix for this?  Is there some fix I'll need to make to
my initrd?  Or will removing /etc/udev/mdadm.rules be enough to cause udev to
go back to the old behavior?


-- 
--John Gruenenfelder    Research Assistant, UMass Amherst student
                        Systems Manager, MKS Imaging Technology, LLC.
Try Weasel Reader for PalmOS  --  http://gutenpalm.sf.net
"This is the most fun I've had without being drenched in the blood
of my enemies!"
        --Sam of Sam & Max



Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#381181; Package mdadm. Full text and rfc822 format available.

Message #21 received at 381181@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: John Gruenenfelder <johng@as.arizona.edu>, 381181@bugs.debian.org
Subject: Re: Bug#381181: mdadm fix affects root-on-LVM-on-RAID
Date: Mon, 21 Aug 2006 11:05:23 +0100
[Message part 1 (text/plain, inline)]
also sprach John Gruenenfelder <johng@as.arizona.edu> [2006.08.21.0513 +0100]:
> So... what is the best fix for this?  Is there some fix I'll need
> to make to my initrd?  Or will removing /etc/udev/mdadm.rules be
> enough to cause udev to go back to the old behavior?

Udev now creates them again, it was my mistake to prevent it from
doing so. The 2.5.3 upload I made yesterday to unstable (still on
http://incoming.debian.org for today) fixes it.

I would appreciate if you could test it.

-- 
Please do not send copies of list mail to me; I read the list!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#381181; Package mdadm. Full text and rfc822 format available.

Acknowledgement sent to John Gruenenfelder <johng@as.arizona.edu>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 381181@bugs.debian.org (full text, mbox):

From: John Gruenenfelder <johng@as.arizona.edu>
To: martin f krafft <madduck@debian.org>
Cc: 381181@bugs.debian.org
Subject: Re: Bug#381181: mdadm fix affects root-on-LVM-on-RAID
Date: Mon, 21 Aug 2006 12:43:09 -0700
On Mon, Aug 21, 2006 at 11:05:23AM +0100, martin f krafft wrote:
>also sprach John Gruenenfelder <johng@as.arizona.edu> [2006.08.21.0513 +0100]:
>> So... what is the best fix for this?  Is there some fix I'll need
>> to make to my initrd?  Or will removing /etc/udev/mdadm.rules be
>> enough to cause udev to go back to the old behavior?
>
>Udev now creates them again, it was my mistake to prevent it from
>doing so. The 2.5.3 upload I made yesterday to unstable (still on
>http://incoming.debian.org for today) fixes it.
>
>I would appreciate if you could test it.

Yes, the new package fixes the problem.  My system is now booting "hands free"
again.  Thank you for the quick response and fix.


-- 
--John Gruenenfelder    Research Assistant, UMass Amherst student
                        Systems Manager, MKS Imaging Technology, LLC.
Try Weasel Reader for PalmOS  --  http://gutenpalm.sf.net
"This is the most fun I've had without being drenched in the blood
of my enemies!"
        --Sam of Sam & Max



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 18:38:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:13:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.